Package: org.codehaus.groovy.ast.stmt

## [Java] Class ContinueStatement

- org.codehaus.groovy.ast.stmt.ContinueStatement

-     public class ContinueStatement
      extends Statement

  Represents a continue statement that skips the remainder of the current loop iteration. When a continue statement is encountered, control flow jumps to the next iteration of the innermost enclosing loop. Labeled continue statements can skip to the next iteration of an outer loop.

  See Also:
    LoopingStatement
    BreakStatement
    Statement

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ContinueStatement()` Constructs an unlabeled continue statement that continues the innermost enclosing loop.
    `ContinueStatement(String label)` Constructs a labeled continue statement that continues the enclosing loop with the given label.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getLabel()` Returns the label associated with this continue statement.
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementAnnotation, addStatementLabel, copyStatementLabels, getStatementAnnotations, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public ContinueStatement()

      Constructs an unlabeled continue statement that continues the innermost enclosing loop.

    - #### public ContinueStatement(String label)

      Constructs a labeled continue statement that continues the enclosing loop with the given label.

      Parameters:
        `label` - the name of the label to continue to, or null for an unlabeled continue

  - ### Method Detail

    - #### public String getLabel()

      Returns the label associated with this continue statement.

      Returns:
        the label name, or null if this is an unlabeled continue statement

    - #### public void visit(GroovyCodeVisitor visitor)